<%@ Page Language="VB" ResponseEncoding="iso-8859-1" Debug="true" validateRequest="false" %>
<%@ Register TagPrefix="Rico" TagName="LiveGrid" Src="../../plugins/dotnet/LiveGrid.ascx" %>
<%@ Register TagPrefix="Rico" TagName="Column" Src="../../plugins/dotnet/GridColumn.ascx" %>
<%@ Register TagPrefix="Rico" TagName="Panel" Src="../../plugins/dotnet/GridPanel.ascx" %>
<%@ Register TagPrefix="Rico" TagName="sqlCompatibilty" Src="../../plugins/dotnet/sqlCompatibilty.ascx" %>
<%@ Register TagPrefix="Rico" TagName="ricoResponse" Src="../../plugins/dotnet/ricoResponse.ascx" %>
<%@ Register TagPrefix="My" TagName="LoadRicoClient" Src="LoadRicoClient.ascx" %>
<%@ Register TagPrefix="My" TagName="dbLib" Src="dbConnect.ascx" %>
<My:dbLib id='app' runat='server' />


<script runat="server">

Sub Page_Load(Sender As object, e As EventArgs)
  Session.Timeout=60
  dim arEmpSql as string() = {"LastName","', '","FirstName"}
  dim oSqlCompat=new sqlCompatibilty(app.dbDialect)
  ex8n.columns(ex8n.ColIndex("EmployeeID")).SelectSql="select EmployeeID," & oSqlCompat.Concat(arEmpSql,false) & " from employees order by LastName,FirstName" 
  ex8n.dataProvider=Request.ServerVariables("SCRIPT_NAME")
  app.OpenGridForm(ex8n)
End Sub

Protected Overrides Sub Render(writer as HTMLTextWriter)
  select case ex8n.action
    case "table": 
      RespObj.RenderFlag=false
      MyBase.Render(writer)
    case "ins":   ex8n.InsertRecord(writer)
    case "upd":   ex8n.UpdateRecord(writer)
    case "del":   ex8n.DeleteRecord(writer)
    case "query":
      RespObj.dbConnection=app.dbConnection
      RespObj.dbDialect=app.dbDialect
      RespObj.sendDebugMsgs=true   ' true for development, false for production
      RespObj.LogSqlOnError=true   ' true for development, false for production
      RespObj.oParse=ex8n.ParseClone()
      RespObj.RunQuery(writer)
  end select
End Sub

</script>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>Rico LiveGrid-Example 2 (editable)</title>

<My:LoadRicoClient id='initlibs' runat='server' modules='Calendar,Tree' />
<link href="../demo.css" type="text/css" rel="stylesheet" />

<script type='text/javascript'>

// ricoLiveGridForms will call orders_FormInit right before grid & form initialization.

function ex8_FormInit() {
  var cal=new Rico.CalendarControl("Cal");
  Rico.EditControls.register(cal, Rico.imgDir+'calarrow.png');
  
  var CustTree=new Rico.TreeControl("CustomerTree","CustTree.aspx");
  Rico.EditControls.register(CustTree, Rico.imgDir+'dotbutton.gif');
}
</script>

<style type="text/css">
div.ricoLG_outerDiv thead .ricoLG_cell, div.ricoLG_outerDiv thead td, div.ricoLG_outerDiv thead th {
	height:1.5em;
}
div.ricoLG_cell {
  white-space:nowrap;
}
</style>
</head>


<body>

<div id='explanation'>
Base Library: <script type='text/javascript'>document.write(Rico.Lib+' '+Rico.LibVersion);</script>
<hr>The data on this grid can be edited using pop-up forms. 
Just click on a grid cell and then select Edit, Delete, or Add from the pop-up menu. 
Updates are disabled on the database, so you will get an error message if you try to save.
<p>Rather than requesting data from RicoQuery, this page is able to process the AJAX
data requests itself. No session variables are used.
</div>
<p><strong>Orders Table (without sessions)</strong></p>


<Rico:LiveGrid runat='server' id='ex8n' formView='true' TableName='orders' DefaultSort='OrderID' FilterLocation='-1' sessions='false'>
<GridColumns>
  <Rico:Panel runat='server' heading='Basic Info' />
  <Rico:Column runat='server' heading='Order#'        width='60'  ColName='OrderID'      EntryType='B' ColData='<auto>' ConfirmDeleteColumn='true' />
  <Rico:Column runat='server' heading='Customer'      width='160' ColName='CustomerID'   EntryType='CL' InsertOnly='true' SelectCtl='CustomerTree' SelectSql="select CustomerID,CompanyName from customers order by CompanyName" filterUI='t' />
  <Rico:Column runat='server' heading='Sales Person'  width='140' ColName='EmployeeID'   EntryType='SL' filterUI='s' />
  <Rico:Column runat='server' heading='Order Date'    width='100' ColName='OrderDate'    EntryType='D' ColData='Today' SelectCtl='Cal' />
  <Rico:Column runat='server' heading='Required Date' width='100' ColName='RequiredDate' EntryType='D' ColData='Today' SelectCtl='Cal' />
  <Rico:Column runat='server' heading='Net Sale'      width='80'  format='DOLLAR'        Formula='select sum(UnitPrice*Quantity*(1.0-Discount)) from order_details d where d.OrderID=t.OrderID' />

  <Rico:Panel runat='server' heading='Ship To' />
  <Rico:Column runat='server' heading='Name'        width='150' ColName='ShipName'       EntryType='B' />
  <Rico:Column runat='server' heading='Address'     width='150' ColName='ShipAddress'    EntryType='B' />
  <Rico:Column runat='server' heading='City'        width='80'  ColName='ShipCity'       EntryType='B' filterUI='s' />
  <Rico:Column runat='server' heading='Region'      width='80'  ColName='ShipRegion'     EntryType='T' />
  <Rico:Column runat='server' heading='Postal Code' width='80'  ColName='ShipPostalCode' EntryType='T' />
  <Rico:Column runat='server' heading='Country'     width='90'  ColName='ShipCountry'    EntryType='N' filterUI='s' control="new Rico.TableColumn.link('http://en.wikipedia.org/wiki/{11}','_blank')" />
</GridColumns>
</Rico:LiveGrid>

<Rico:ricoResponse id="RespObj" runat="server" />

</body>
</html>
