<?php

$jsDir="../../ricoClient/js/";       // directory containing Rico's javascript files
$cssDir="../../ricoClient/css/";     // directory containing Rico's css files
$imgDir="../../ricoClient/images/";  // directory containing Rico's image files
$transDir=$jsDir."translations/";
$baselibsDir=$jsDir."baselibs/";
$grid_striping=true;       // apply row striping to LiveGrids?
$checkQueryString = true;  // load settings from QueryString? true for demo, false for production
$LoadBaseLib = true;       // load base Javascript library (prototype, jQuery, etc) from Rico directory?
$jQuery_theme_path = "http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.5/themes/";

if ($checkQueryString) {
  $ricoLib=$_GET['lib'];
  $ricoTheme=$_GET["theme"];
  $ricoLogging=isset($_GET["log"]);
} else {
  // set your production values here
  $ricoLib="prototype-1.6";     // base library
  $ricoTheme="j-ui-lightness";  // jquery themes start with j-, rico themes start with r-
  $ricoLogging=false;
}

SetConfig();
LoadLib($ricoLib, $LoadBaseLib);
setLang();
LoadTheme($ricoTheme);


// initialize Rico
function SetConfig() {
  global $jsDir,$cssDir,$imgDir,$ricoLogging;
  echo "\n<script type='text/javascript'>\n";
  echo "Rico_CONFIG = {\n";
  if ($ricoLogging) echo "enableLogging: true,\n";
  echo "jsDir: '" . $jsDir . "',\n";
  echo "cssDir: '" . $cssDir . "',\n";
  echo "imgDir: '" . $imgDir . "'\n";
  echo "};";
  echo "</script>\n";
}


function LoadLib($baseLib, $baseLoadFlag) {
  global $baselibsDir,$transDir;
  if ($baseLoadFlag) {
    if (strpos($baseLib,"/") === false) {
      echo "<script src='".$baselibsDir.$baseLib.".js' type='text/javascript'></script>\n";
    } else {
      echo "<script src='http://ajax.googleapis.com/ajax/libs/".$baseLib."' type='text/javascript'></script>\n";
    }
  }
  requireRicoJS("");
  requireRicoJS("2" . substr($baseLib,0,3));
  echo "<script src='".$transDir."ricoLocale_en.js' type='text/javascript'></script>\n";
  requireRicoCSS("rico");
  requireRicoJS("UI");
}


// -------------------------------------------------------------
// Check languages accepted by browser
// and see if there is a match
// -------------------------------------------------------------
function setLang() {
  global $transDir;
  $lang=strtolower($_SERVER["HTTP_ACCEPT_LANGUAGE"]);
  $arLang=explode(",",$lang);
  for ($i=0; $i<count($arLang); $i++) {
    $lang2=strtolower(substr(trim($arLang[$i]),0,2));
    if ($lang2=='en') break; // already included
    $fname=$transDir."ricoLocale_".$lang2.".js";
    if (file_exists($fname)) {
      echo "<script src='".$fname."' type='text/javascript'></script>";
      break;
    } 
  }
}


// set theme
// "j-ui-lightness" for a Themeroller theme
// "r-greenHdg" for a native Rico theme
function LoadTheme($theme) {
  global $cssDir,$grid_striping,$jQuery_theme_path;
  $prefix=substr($theme,0,1);
  $theme=substr($theme,2);
  switch ($prefix) {
    case 'j':
      requireRicoJS("Themeroller");
      //echo "<link type='text/css' rel='stylesheet' href='".$cssDir."jquery-base/ui.base.css' />";
      echo "<link type='text/css' rel='Stylesheet' href='" . $jQuery_theme_path . $theme."/jquery-ui.css' />";
      break;
    case 'r':
      requireRicoCSS($theme);
      break;
  }
  if ($grid_striping) {
    echo "<link type='text/css' rel='stylesheet' href='".$cssDir."striping_".$theme.".css' />";
  }
}

function requireRicoJS($filename) {
  global $jsDir;
  echo "<script src='".$jsDir."rico".$filename.".js' type='text/javascript'></script>\n";
}

function requireRicoCSS($filename) {
  global $cssDir;
  echo "<link href='".$cssDir.$filename.".css' type='text/css' rel='stylesheet' />\n";
}

?>

