<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>Rico LiveGrid sourced from HTML table</title>

<?php
require "LoadRicoClient.php";
?>
<link href="../demo.css" type="text/css" rel="stylesheet" />

<script type='text/javascript'>
Rico.loadModule('LiveGridBasic','LiveGridMenu');

Rico.onLoad( function() {
  //alert('We are stopping here, at the start of the onLoad event, to show you that the grid is populated with data from a regular HTML table. This is what browsers with javascript disabled would display.');
  var opts = {
    menuEvent     : 'click',
    frozenColumns : 1,
    highlightElem: 'cursorRow',
    defaultWidth : 90,
    useUnformattedColWidth: false,
    columnSpecs  : [{width:200},'specQty','specQty','specQty','specQty','specQty']
  };
  var ex1=new Rico.LiveGrid ('population', new Rico.Buffer.Base(document.getElementById('population').tBodies[0]), opts);
  ex1.menu=new Rico.GridMenu({});
});
</script>

</head>

<body>

<table id='explanation' border='0' cellpadding='0' cellspacing='5' style='clear:both'><tr valign='top'><td>
Base Library: 
<script type='text/javascript'>
document.write(Rico.Lib+' '+Rico.LibVersion);
</script>
<hr>
This example demonstrates how Rico can convert an existing HTML table into
a much more usable LiveGrid. 
LiveGrid provides scrolling, column resizing, filtering, and sorting capabilities.
Click on a cell to see available actions.
<p style='font-size:smaller;'>Data source: <a href="http://www.un.org/esa/population/unpop.htm">Population Division of the 
Department of Economic and Social Affairs of the United Nations Secretariat</a> (2009). 
<em>World Population Prospects: The 2008 Revision. Highlights.</em> New York: United Nations.	</p>				
</td>
<td>
<?php
require "info.php";
?>
</td>
</tr></table>

<p class="ricoBookmark"><span id="population_bookmark">&nbsp;</span></p>
<table class="ricoLiveGrid" id="population">
<thead>
 <tr>
  <td class='ricoFrozen'></td>
  <td colspan=5>Population (thousands)</td>
 </tr>
 <tr>
  <td class='ricoFrozen'>Country or area</td>
  <td>1950</td>
  <td>2009</td>
  <td>2015</td>
  <td>2025</td>
  <td>2050</td>
 </tr>
</thead>
<tbody>
 <tr>
  <td>Afghanistan</td>
  <td>8151</td>
  <td>28150</td>
  <td>34246</td>
  <td>44970</td>
  <td>73938</td>
 </tr>
 <tr>
  <td>Albania</td>
  <td>1215</td>
  <td>3155</td>
  <td>3256</td>
  <td>3395</td>
  <td>3303</td>
 </tr>
 <tr>
  <td>Algeria</td>
  <td>8753</td>
  <td>34895</td>
  <td>38088</td>
  <td>42882</td>
  <td>49610</td>
 </tr>
 <tr>
  <td>American Samoa</td>
  <td>19</td>
  <td>67</td>
  <td>74</td>
  <td>86</td>
  <td>107</td>
 </tr>
 <tr>
  <td>Andorra</td>
  <td>6</td>
  <td>86</td>
  <td>93</td>
  <td>107</td>
  <td>137</td>
 </tr>
 <tr>
  <td>Angola</td>
  <td>4148</td>
  <td>18498</td>
  <td>21690</td>
  <td>27441</td>
  <td>42267</td>
 </tr>
 <tr>
  <td>Anguilla</td>
  <td>5</td>
  <td>15</td>
  <td>17</td>
  <td>18</td>
  <td>20</td>
 </tr>
 <tr>
  <td>Antigua and Barbuda</td>
  <td>46</td>
  <td>88</td>
  <td>93</td>
  <td>101</td>
  <td>112</td>
 </tr>
 <tr>
  <td>Argentina</td>
  <td>17150</td>
  <td>40276</td>
  <td>42548</td>
  <td>45883</td>
  <td>50943</td>
 </tr>
 <tr>
  <td>Armenia</td>
  <td>1354</td>
  <td>3083</td>
  <td>3139</td>
  <td>3181</td>
  <td>3018</td>
 </tr>
 <tr>
  <td>Aruba</td>
  <td>38</td>
  <td>107</td>
  <td>109</td>
  <td>112</td>
  <td>106</td>
 </tr>
 <tr>
  <td>Australia</td>
  <td>8219</td>
  <td>21293</td>
  <td>22607</td>
  <td>24703</td>
  <td>28724</td>
 </tr>
 <tr>
  <td>Austria</td>
  <td>6936</td>
  <td>8364</td>
  <td>8467</td>
  <td>8600</td>
  <td>8515</td>
 </tr>
 <tr>
  <td>Azerbaijan</td>
  <td>2896</td>
  <td>8832</td>
  <td>9426</td>
  <td>10128</td>
  <td>10579</td>
 </tr>
 <tr>
  <td>Bahamas</td>
  <td>79</td>
  <td>342</td>
  <td>366</td>
  <td>402</td>
  <td>455</td>
 </tr>
 <tr>
  <td>Bahrain</td>
  <td>116</td>
  <td>791</td>
  <td>882</td>
  <td>1021</td>
  <td>1277</td>
 </tr>
 <tr>
  <td>Bangladesh</td>
  <td>43595</td>
  <td>162221</td>
  <td>175217</td>
  <td>195012</td>
  <td>222495</td>
 </tr>
 <tr>
  <td>Barbados</td>
  <td>211</td>
  <td>256</td>
  <td>260</td>
  <td>262</td>
  <td>237</td>
 </tr>
 <tr>
  <td>Belarus</td>
  <td>7745</td>
  <td>9634</td>
  <td>9355</td>
  <td>8851</td>
  <td>7275</td>
 </tr>
 <tr>
  <td>Belgium</td>
  <td>8628</td>
  <td>10647</td>
  <td>10878</td>
  <td>11191</td>
  <td>11493</td>
 </tr>
 <tr>
  <td>Belize</td>
  <td>69</td>
  <td>307</td>
  <td>344</td>
  <td>404</td>
  <td>506</td>
 </tr>
 <tr>
  <td>Benin</td>
  <td>2050</td>
  <td>8935</td>
  <td>10647</td>
  <td>13767</td>
  <td>21982</td>
 </tr>
 <tr>
  <td>Bermuda</td>
  <td>37</td>
  <td>65</td>
  <td>65</td>
  <td>66</td>
  <td>63</td>
 </tr>
 <tr>
  <td>Bhutan</td>
  <td>168</td>
  <td>697</td>
  <td>770</td>
  <td>865</td>
  <td>1013</td>
 </tr>
 <tr>
  <td>Bolivia</td>
  <td>2714</td>
  <td>9863</td>
  <td>10854</td>
  <td>12368</td>
  <td>14908</td>
 </tr>
 <tr>
  <td>Bosnia and Herzegovina</td>
  <td>2661</td>
  <td>3767</td>
  <td>3727</td>
  <td>3608</td>
  <td>3008</td>
 </tr>
 <tr>
  <td>Botswana</td>
  <td>413</td>
  <td>1950</td>
  <td>2106</td>
  <td>2337</td>
  <td>2758</td>
 </tr>
 <tr>
  <td>Brazil</td>
  <td>53975</td>
  <td>193734</td>
  <td>202866</td>
  <td>213802</td>
  <td>218512</td>
 </tr>
 <tr>
  <td>British Virgin Islands</td>
  <td>7</td>
  <td>23</td>
  <td>24</td>
  <td>26</td>
  <td>28</td>
 </tr>
 <tr>
  <td>Brunei Darussalam</td>
  <td>48</td>
  <td>400</td>
  <td>443</td>
  <td>513</td>
  <td>658</td>
 </tr>
 <tr>
  <td>Bulgaria</td>
  <td>7251</td>
  <td>7545</td>
  <td>7263</td>
  <td>6752</td>
  <td>5392</td>
 </tr>
 <tr>
  <td>Burkina Faso</td>
  <td>4080</td>
  <td>15757</td>
  <td>19013</td>
  <td>24837</td>
  <td>40830</td>
 </tr>
 <tr>
  <td>Burundi</td>
  <td>2456</td>
  <td>8303</td>
  <td>9413</td>
  <td>11161</td>
  <td>14846</td>
 </tr>
 <tr>
  <td>Cambodia</td>
  <td>4346</td>
  <td>14805</td>
  <td>16357</td>
  <td>18973</td>
  <td>23795</td>
 </tr>
 <tr>
  <td>Cameroon</td>
  <td>4466</td>
  <td>19522</td>
  <td>22169</td>
  <td>26478</td>
  <td>36736</td>
 </tr>
 <tr>
  <td>Canada</td>
  <td>13737</td>
  <td>33573</td>
  <td>35493</td>
  <td>38659</td>
  <td>44414</td>
 </tr>
 <tr>
  <td>Cape Verde</td>
  <td>146</td>
  <td>506</td>
  <td>548</td>
  <td>616</td>
  <td>703</td>
 </tr>
 <tr>
  <td>Cayman Islands</td>
  <td>7</td>
  <td>56</td>
  <td>59</td>
  <td>63</td>
  <td>66</td>
 </tr>
 <tr>
  <td>Central African Republic</td>
  <td>1327</td>
  <td>4422</td>
  <td>4927</td>
  <td>5747</td>
  <td>7603</td>
 </tr>
 <tr>
  <td>Chad</td>
  <td>2429</td>
  <td>11206</td>
  <td>13120</td>
  <td>16906</td>
  <td>27776</td>
 </tr>
 <tr>
  <td>Channel Islands</td>
  <td>102</td>
  <td>150</td>
  <td>151</td>
  <td>152</td>
  <td>144</td>
 </tr>
 <tr>
  <td>Chile</td>
  <td>6082</td>
  <td>16970</td>
  <td>17926</td>
  <td>19266</td>
  <td>20657</td>
 </tr>
 <tr>
  <td>China</td>
  <td>544951</td>
  <td>1345751</td>
  <td>1395998</td>
  <td>1453140</td>
  <td>1417045</td>
 </tr>
 <tr>
  <td>China, Hong Kong SAR</td>
  <td>1974</td>
  <td>7022</td>
  <td>7398</td>
  <td>7969</td>
  <td>8623</td>
 </tr>
 <tr>
  <td>China, Macao SAR</td>
  <td>190</td>
  <td>538</td>
  <td>568</td>
  <td>603</td>
  <td>593</td>
 </tr>
 <tr>
  <td>Colombia</td>
  <td>12000</td>
  <td>45660</td>
  <td>49385</td>
  <td>54920</td>
  <td>62877</td>
 </tr>
 <tr>
  <td>Comoros</td>
  <td>156</td>
  <td>676</td>
  <td>767</td>
  <td>907</td>
  <td>1226</td>
 </tr>
 <tr>
  <td>Congo</td>
  <td>808</td>
  <td>3683</td>
  <td>4225</td>
  <td>5094</td>
  <td>6863</td>
 </tr>
 <tr>
  <td>Cook Islands</td>
  <td>15</td>
  <td>20</td>
  <td>20</td>
  <td>21</td>
  <td>24</td>
 </tr>
 <tr>
  <td>Costa Rica</td>
  <td>966</td>
  <td>4579</td>
  <td>4957</td>
  <td>5521</td>
  <td>6373</td>
 </tr>
 <tr>
  <td>Cte d'Ivoire</td>
  <td>2505</td>
  <td>21075</td>
  <td>24210</td>
  <td>29738</td>
  <td>43373</td>
 </tr>
 <tr>
  <td>Croatia</td>
  <td>3850</td>
  <td>4416</td>
  <td>4370</td>
  <td>4254</td>
  <td>3825</td>
 </tr>
 <tr>
  <td>Cuba</td>
  <td>5920</td>
  <td>11204</td>
  <td>11213</td>
  <td>11148</td>
  <td>9725</td>
 </tr>
 <tr>
  <td>Cyprus</td>
  <td>494</td>
  <td>871</td>
  <td>925</td>
  <td>1014</td>
  <td>1175</td>
 </tr>
 <tr>
  <td>Czech Republic</td>
  <td>8925</td>
  <td>10369</td>
  <td>10510</td>
  <td>10573</td>
  <td>10294</td>
 </tr>
 <tr>
  <td>Dem. People's Rep. of Korea</td>
  <td>9737</td>
  <td>23906</td>
  <td>24399</td>
  <td>25128</td>
  <td>24562</td>
 </tr>
 <tr>
  <td>Dem. Republic of the Congo</td>
  <td>12184</td>
  <td>66020</td>
  <td>77419</td>
  <td>98123</td>
  <td>147512</td>
 </tr>
 <tr>
  <td>Denmark</td>
  <td>4271</td>
  <td>5470</td>
  <td>5523</td>
  <td>5590</td>
  <td>5551</td>
 </tr>
 <tr>
  <td>Djibouti</td>
  <td>62</td>
  <td>864</td>
  <td>953</td>
  <td>1111</td>
  <td>1469</td>
 </tr>
 <tr>
  <td>Dominica</td>
  <td>51</td>
  <td>67</td>
  <td>67</td>
  <td>68</td>
  <td>66</td>
 </tr>
 <tr>
  <td>Dominican Republic</td>
  <td>2427</td>
  <td>10090</td>
  <td>10867</td>
  <td>11973</td>
  <td>13441</td>
 </tr>
 <tr>
  <td>Ecuador</td>
  <td>3387</td>
  <td>13625</td>
  <td>14596</td>
  <td>16074</td>
  <td>17989</td>
 </tr>
 <tr>
  <td>Egypt</td>
  <td>21514</td>
  <td>82999</td>
  <td>91778</td>
  <td>104970</td>
  <td>129533</td>
 </tr>
 <tr>
  <td>El Salvador</td>
  <td>2200</td>
  <td>6163</td>
  <td>6383</td>
  <td>6895</td>
  <td>7882</td>
 </tr>
 <tr>
  <td>Equatorial Guinea</td>
  <td>226</td>
  <td>676</td>
  <td>781</td>
  <td>971</td>
  <td>1445</td>
 </tr>
 <tr>
  <td>Eritrea</td>
  <td>1141</td>
  <td>5073</td>
  <td>6009</td>
  <td>7404</td>
  <td>10787</td>
 </tr>
 <tr>
  <td>Estonia</td>
  <td>1101</td>
  <td>1340</td>
  <td>1337</td>
  <td>1321</td>
  <td>1233</td>
 </tr>
 <tr>
  <td>Ethiopia</td>
  <td>18434</td>
  <td>82825</td>
  <td>96237</td>
  <td>119822</td>
  <td>173811</td>
 </tr>
 <tr>
  <td>Faeroe Islands</td>
  <td>32</td>
  <td>50</td>
  <td>52</td>
  <td>55</td>
  <td>58</td>
 </tr>
 <tr>
  <td>Falkland Islands (Malvinas)</td>
  <td>2</td>
  <td>3</td>
  <td>3</td>
  <td>3</td>
  <td>3</td>
 </tr>
 <tr>
  <td>Fiji</td>
  <td>289</td>
  <td>849</td>
  <td>874</td>
  <td>905</td>
  <td>910</td>
 </tr>
 <tr>
  <td>Finland</td>
  <td>4009</td>
  <td>5326</td>
  <td>5432</td>
  <td>5533</td>
  <td>5445</td>
 </tr>
 <tr>
  <td>France</td>
  <td>41832</td>
  <td>62343</td>
  <td>63900</td>
  <td>65769</td>
  <td>67668</td>
 </tr>
 <tr>
  <td>French Guiana</td>
  <td>25</td>
  <td>226</td>
  <td>261</td>
  <td>323</td>
  <td>462</td>
 </tr>
 <tr>
  <td>French Polynesia</td>
  <td>61</td>
  <td>269</td>
  <td>289</td>
  <td>318</td>
  <td>354</td>
 </tr>
 <tr>
  <td>Gabon</td>
  <td>469</td>
  <td>1475</td>
  <td>1639</td>
  <td>1915</td>
  <td>2471</td>
 </tr>
 <tr>
  <td>Gambia</td>
  <td>258</td>
  <td>1705</td>
  <td>1985</td>
  <td>2478</td>
  <td>3763</td>
 </tr>
 <tr>
  <td>Georgia</td>
  <td>3527</td>
  <td>4260</td>
  <td>4084</td>
  <td>3888</td>
  <td>3267</td>
 </tr>
 <tr>
  <td>Germany</td>
  <td>68376</td>
  <td>82167</td>
  <td>81346</td>
  <td>79258</td>
  <td>70504</td>
 </tr>
 <tr>
  <td>Ghana</td>
  <td>4981</td>
  <td>23837</td>
  <td>26925</td>
  <td>32233</td>
  <td>45213</td>
 </tr>
 <tr>
  <td>Gibraltar</td>
  <td>20</td>
  <td>31</td>
  <td>31</td>
  <td>32</td>
  <td>30</td>
 </tr>
 <tr>
  <td>Greece</td>
  <td>7566</td>
  <td>11161</td>
  <td>11261</td>
  <td>11274</td>
  <td>10939</td>
 </tr>
 <tr>
  <td>Greenland</td>
  <td>23</td>
  <td>57</td>
  <td>57</td>
  <td>56</td>
  <td>50</td>
 </tr>
 <tr>
  <td>Grenada</td>
  <td>77</td>
  <td>104</td>
  <td>107</td>
  <td>109</td>
  <td>97</td>
 </tr>
 <tr>
  <td>Guadeloupe</td>
  <td>210</td>
  <td>465</td>
  <td>476</td>
  <td>489</td>
  <td>477</td>
 </tr>
 <tr>
  <td>Guam</td>
  <td>60</td>
  <td>178</td>
  <td>191</td>
  <td>211</td>
  <td>242</td>
 </tr>
 <tr>
  <td>Guatemala</td>
  <td>3146</td>
  <td>14027</td>
  <td>16227</td>
  <td>19927</td>
  <td>27480</td>
 </tr>
 <tr>
  <td>Guinea</td>
  <td>2619</td>
  <td>10069</td>
  <td>11844</td>
  <td>15158</td>
  <td>23975</td>
 </tr>
 <tr>
  <td>Guinea-Bissau</td>
  <td>518</td>
  <td>1611</td>
  <td>1848</td>
  <td>2296</td>
  <td>3555</td>
 </tr>
 <tr>
  <td>Guyana</td>
  <td>423</td>
  <td>762</td>
  <td>754</td>
  <td>732</td>
  <td>558</td>
 </tr>
 <tr>
  <td>Haiti</td>
  <td>3221</td>
  <td>10033</td>
  <td>10957</td>
  <td>12476</td>
  <td>15485</td>
 </tr>
 <tr>
  <td>Holy See</td>
  <td>1</td>
  <td>1</td>
  <td>1</td>
  <td>1</td>
  <td>1</td>
 </tr>
 <tr>
  <td>Honduras</td>
  <td>1487</td>
  <td>7466</td>
  <td>8386</td>
  <td>9844</td>
  <td>12402</td>
 </tr>
 <tr>
  <td>Hungary</td>
  <td>9338</td>
  <td>9993</td>
  <td>9874</td>
  <td>9647</td>
  <td>8934</td>
 </tr>
 <tr>
  <td>Iceland</td>
  <td>143</td>
  <td>323</td>
  <td>353</td>
  <td>384</td>
  <td>407</td>
 </tr>
 <tr>
  <td>India</td>
  <td>371857</td>
  <td>1198003</td>
  <td>1294192</td>
  <td>1431272</td>
  <td>1613800</td>
 </tr>
 <tr>
  <td>Indonesia</td>
  <td>77152</td>
  <td>229965</td>
  <td>244191</td>
  <td>263287</td>
  <td>288110</td>
 </tr>
 <tr>
  <td>Iran (Islamic Republic of)</td>
  <td>16913</td>
  <td>74196</td>
  <td>79454</td>
  <td>87134</td>
  <td>96975</td>
 </tr>
 <tr>
  <td>Iraq</td>
  <td>5719</td>
  <td>30747</td>
  <td>35884</td>
  <td>44692</td>
  <td>63995</td>
 </tr>
 <tr>
  <td>Ireland</td>
  <td>2969</td>
  <td>4515</td>
  <td>4886</td>
  <td>5370</td>
  <td>6295</td>
 </tr>
 <tr>
  <td>Isle of Man</td>
  <td>55</td>
  <td>80</td>
  <td>81</td>
  <td>80</td>
  <td>75</td>
 </tr>
 <tr>
  <td>Israel</td>
  <td>1258</td>
  <td>7170</td>
  <td>7823</td>
  <td>8769</td>
  <td>10649</td>
 </tr>
 <tr>
  <td>Italy</td>
  <td>46367</td>
  <td>59870</td>
  <td>60604</td>
  <td>60018</td>
  <td>57066</td>
 </tr>
 <tr>
  <td>Jamaica</td>
  <td>1403</td>
  <td>2719</td>
  <td>2786</td>
  <td>2866</td>
  <td>2683</td>
 </tr>
 <tr>
  <td>Japan</td>
  <td>82824</td>
  <td>127156</td>
  <td>125791</td>
  <td>120793</td>
  <td>101659</td>
 </tr>
 <tr>
  <td>Jordan</td>
  <td>472</td>
  <td>6316</td>
  <td>6957</td>
  <td>8088</td>
  <td>10241</td>
 </tr>
 <tr>
  <td>Kazakhstan</td>
  <td>6703</td>
  <td>15637</td>
  <td>16289</td>
  <td>17025</td>
  <td>17848</td>
 </tr>
 <tr>
  <td>Kenya</td>
  <td>6077</td>
  <td>39802</td>
  <td>46433</td>
  <td>57573</td>
  <td>85410</td>
 </tr>
 <tr>
  <td>Kiribati</td>
  <td>26</td>
  <td>98</td>
  <td>107</td>
  <td>123</td>
  <td>151</td>
 </tr>
 <tr>
  <td>Kuwait</td>
  <td>152</td>
  <td>2985</td>
  <td>3378</td>
  <td>3988</td>
  <td>5240</td>
 </tr>
 <tr>
  <td>Kyrgyzstan</td>
  <td>1740</td>
  <td>5482</td>
  <td>5877</td>
  <td>6378</td>
  <td>6882</td>
 </tr>
 <tr>
  <td>Lao People's Dem. Republic</td>
  <td>1666</td>
  <td>6320</td>
  <td>7028</td>
  <td>8273</td>
  <td>10744</td>
 </tr>
 <tr>
  <td>Latvia</td>
  <td>1949</td>
  <td>2249</td>
  <td>2197</td>
  <td>2101</td>
  <td>1854</td>
 </tr>
 <tr>
  <td>Lebanon</td>
  <td>1443</td>
  <td>4224</td>
  <td>4426</td>
  <td>4736</td>
  <td>5033</td>
 </tr>
 <tr>
  <td>Lesotho</td>
  <td>734</td>
  <td>2067</td>
  <td>2168</td>
  <td>2306</td>
  <td>2491</td>
 </tr>
 <tr>
  <td>Liberia</td>
  <td>824</td>
  <td>3955</td>
  <td>4665</td>
  <td>5858</td>
  <td>8841</td>
 </tr>
 <tr>
  <td>Libyan Arab Jamahiriya</td>
  <td>1029</td>
  <td>6420</td>
  <td>7158</td>
  <td>8144</td>
  <td>9819</td>
 </tr>
 <tr>
  <td>Liechtenstein</td>
  <td>14</td>
  <td>36</td>
  <td>38</td>
  <td>40</td>
  <td>45</td>
 </tr>
 <tr>
  <td>Lithuania</td>
  <td>2567</td>
  <td>3287</td>
  <td>3143</td>
  <td>2985</td>
  <td>2579</td>
 </tr>
 <tr>
  <td>Luxembourg</td>
  <td>296</td>
  <td>486</td>
  <td>520</td>
  <td>582</td>
  <td>733</td>
 </tr>
 <tr>
  <td>Madagascar</td>
  <td>4084</td>
  <td>19625</td>
  <td>22853</td>
  <td>28595</td>
  <td>42693</td>
 </tr>
 <tr>
  <td>Malawi</td>
  <td>2881</td>
  <td>15263</td>
  <td>17998</td>
  <td>23194</td>
  <td>36575</td>
 </tr>
 <tr>
  <td>Malaysia</td>
  <td>6110</td>
  <td>27468</td>
  <td>30041</td>
  <td>33770</td>
  <td>39664</td>
 </tr>
 <tr>
  <td>Maldives</td>
  <td>82</td>
  <td>309</td>
  <td>338</td>
  <td>384</td>
  <td>455</td>
 </tr>
 <tr>
  <td>Mali</td>
  <td>4268</td>
  <td>13010</td>
  <td>14993</td>
  <td>18603</td>
  <td>28260</td>
 </tr>
 <tr>
  <td>Malta</td>
  <td>312</td>
  <td>409</td>
  <td>417</td>
  <td>426</td>
  <td>413</td>
 </tr>
 <tr>
  <td>Marshall Islands</td>
  <td>13</td>
  <td>62</td>
  <td>70</td>
  <td>79</td>
  <td>92</td>
 </tr>
 <tr>
  <td>Martinique</td>
  <td>222</td>
  <td>405</td>
  <td>411</td>
  <td>418</td>
  <td>393</td>
 </tr>
 <tr>
  <td>Mauritania</td>
  <td>651</td>
  <td>3291</td>
  <td>3732</td>
  <td>4443</td>
  <td>6061</td>
 </tr>
 <tr>
  <td>Mauritius</td>
  <td>493</td>
  <td>1288</td>
  <td>1337</td>
  <td>1400</td>
  <td>1426</td>
 </tr>
 <tr>
  <td>Mayotte</td>
  <td>15</td>
  <td>194</td>
  <td>224</td>
  <td>277</td>
  <td>386</td>
 </tr>
 <tr>
  <td>Mexico</td>
  <td>27741</td>
  <td>109610</td>
  <td>115528</td>
  <td>123366</td>
  <td>128964</td>
 </tr>
 <tr>
  <td>Micronesia (Fed. States of)</td>
  <td>32</td>
  <td>111</td>
  <td>114</td>
  <td>122</td>
  <td>128</td>
 </tr>
 <tr>
  <td>Moldova (Republic of)</td>
  <td>2341</td>
  <td>3604</td>
  <td>3462</td>
  <td>3291</td>
  <td>2734</td>
 </tr>
 <tr>
  <td>Monaco</td>
  <td>20</td>
  <td>33</td>
  <td>33</td>
  <td>35</td>
  <td>38</td>
 </tr>
 <tr>
  <td>Mongolia</td>
  <td>761</td>
  <td>2671</td>
  <td>2855</td>
  <td>3134</td>
  <td>3446</td>
 </tr>
 <tr>
  <td>Montenegro</td>
  <td>399</td>
  <td>624</td>
  <td>627</td>
  <td>633</td>
  <td>618</td>
 </tr>
 <tr>
  <td>Montserrat</td>
  <td>14</td>
  <td>6</td>
  <td>6</td>
  <td>7</td>
  <td>7</td>
 </tr>
 <tr>
  <td>Morocco</td>
  <td>8953</td>
  <td>31993</td>
  <td>34330</td>
  <td>37865</td>
  <td>42583</td>
 </tr>
 <tr>
  <td>Mozambique</td>
  <td>6442</td>
  <td>22894</td>
  <td>25957</td>
  <td>31190</td>
  <td>44148</td>
 </tr>
 <tr>
  <td>Myanmar</td>
  <td>17158</td>
  <td>50020</td>
  <td>53087</td>
  <td>57585</td>
  <td>63373</td>
 </tr>
 <tr>
  <td>Namibia</td>
  <td>485</td>
  <td>2171</td>
  <td>2412</td>
  <td>2810</td>
  <td>3588</td>
 </tr>
 <tr>
  <td>Nauru</td>
  <td>3</td>
  <td>10</td>
  <td>11</td>
  <td>11</td>
  <td>11</td>
 </tr>
 <tr>
  <td>Nepal</td>
  <td>8126</td>
  <td>29331</td>
  <td>32503</td>
  <td>38031</td>
  <td>49028</td>
 </tr>
 <tr>
  <td>Netherlands</td>
  <td>10114</td>
  <td>16592</td>
  <td>16915</td>
  <td>17348</td>
  <td>17399</td>
 </tr>
 <tr>
  <td>Netherlands Antilles</td>
  <td>112</td>
  <td>198</td>
  <td>207</td>
  <td>210</td>
  <td>192</td>
 </tr>
 <tr>
  <td>New Caledonia</td>
  <td>65</td>
  <td>250</td>
  <td>271</td>
  <td>304</td>
  <td>362</td>
 </tr>
 <tr>
  <td>New Zealand</td>
  <td>1908</td>
  <td>4266</td>
  <td>4492</td>
  <td>4831</td>
  <td>5349</td>
 </tr>
 <tr>
  <td>Nicaragua</td>
  <td>1295</td>
  <td>5743</td>
  <td>6265</td>
  <td>7058</td>
  <td>8143</td>
 </tr>
 <tr>
  <td>Niger</td>
  <td>2462</td>
  <td>15290</td>
  <td>19150</td>
  <td>27388</td>
  <td>58216</td>
 </tr>
 <tr>
  <td>Nigeria</td>
  <td>36680</td>
  <td>154729</td>
  <td>175928</td>
  <td>210057</td>
  <td>289083</td>
 </tr>
 <tr>
  <td>Niue</td>
  <td>5</td>
  <td>1</td>
  <td>1</td>
  <td>1</td>
  <td>1</td>
 </tr>
 <tr>
  <td>Northern Mariana Islands</td>
  <td>7</td>
  <td>87</td>
  <td>96</td>
  <td>111</td>
  <td>151</td>
 </tr>
 <tr>
  <td>Norway</td>
  <td>3265</td>
  <td>4812</td>
  <td>5036</td>
  <td>5365</td>
  <td>5947</td>
 </tr>
 <tr>
  <td>Occupied Palestinian Territory</td>
  <td>1005</td>
  <td>4277</td>
  <td>5090</td>
  <td>6553</td>
  <td>10265</td>
 </tr>
 <tr>
  <td>Oman</td>
  <td>456</td>
  <td>2845</td>
  <td>3198</td>
  <td>3782</td>
  <td>4878</td>
 </tr>
 <tr>
  <td>Pakistan</td>
  <td>41177</td>
  <td>180808</td>
  <td>205504</td>
  <td>246286</td>
  <td>335195</td>
 </tr>
 <tr>
  <td>Palau</td>
  <td>7</td>
  <td>20</td>
  <td>21</td>
  <td>23</td>
  <td>26</td>
 </tr>
 <tr>
  <td>Panama</td>
  <td>860</td>
  <td>3454</td>
  <td>3773</td>
  <td>4267</td>
  <td>5092</td>
 </tr>
 <tr>
  <td>Papua New Guinea</td>
  <td>1798</td>
  <td>6732</td>
  <td>7678</td>
  <td>9265</td>
  <td>12871</td>
 </tr>
 <tr>
  <td>Paraguay</td>
  <td>1473</td>
  <td>6349</td>
  <td>7007</td>
  <td>8026</td>
  <td>9867</td>
 </tr>
 <tr>
  <td>Peru</td>
  <td>7632</td>
  <td>29165</td>
  <td>31197</td>
  <td>34528</td>
  <td>39776</td>
 </tr>
 <tr>
  <td>Philippines</td>
  <td>19996</td>
  <td>91983</td>
  <td>101734</td>
  <td>117270</td>
  <td>146156</td>
 </tr>
 <tr>
  <td>Pitcairn</td>
  <td>0</td>
  <td>0</td>
  <td>0</td>
  <td>0</td>
  <td>0</td>
 </tr>
 <tr>
  <td>Poland</td>
  <td>24824</td>
  <td>38074</td>
  <td>37788</td>
  <td>36964</td>
  <td>32013</td>
 </tr>
 <tr>
  <td>Portugal</td>
  <td>8405</td>
  <td>10707</td>
  <td>10787</td>
  <td>10706</td>
  <td>10015</td>
 </tr>
 <tr>
  <td>Puerto Rico</td>
  <td>2218</td>
  <td>3982</td>
  <td>4074</td>
  <td>4176</td>
  <td>4103</td>
 </tr>
 <tr>
  <td>Qatar</td>
  <td>25</td>
  <td>1409</td>
  <td>1630</td>
  <td>1848</td>
  <td>2316</td>
 </tr>
 <tr>
  <td>Republic of Korea</td>
  <td>19211</td>
  <td>48333</td>
  <td>49153</td>
  <td>49484</td>
  <td>44077</td>
 </tr>
 <tr>
  <td>Runion</td>
  <td>248</td>
  <td>827</td>
  <td>886</td>
  <td>973</td>
  <td>1096</td>
 </tr>
 <tr>
  <td>Romania</td>
  <td>16311</td>
  <td>21275</td>
  <td>20787</td>
  <td>19961</td>
  <td>17279</td>
 </tr>
 <tr>
  <td>Russian Federation</td>
  <td>102702</td>
  <td>140874</td>
  <td>137983</td>
  <td>132345</td>
  <td>116097</td>
 </tr>
 <tr>
  <td>Rwanda</td>
  <td>2162</td>
  <td>9998</td>
  <td>11743</td>
  <td>14676</td>
  <td>22082</td>
 </tr>
 <tr>
  <td>Saint Helena</td>
  <td>5</td>
  <td>4</td>
  <td>4</td>
  <td>5</td>
  <td>5</td>
 </tr>
 <tr>
  <td>Saint Kitts and Nevis</td>
  <td>46</td>
  <td>52</td>
  <td>56</td>
  <td>61</td>
  <td>69</td>
 </tr>
 <tr>
  <td>Saint Lucia</td>
  <td>83</td>
  <td>172</td>
  <td>182</td>
  <td>198</td>
  <td>217</td>
 </tr>
 <tr>
  <td>Saint Pierre and Miquelon</td>
  <td>5</td>
  <td>6</td>
  <td>6</td>
  <td>6</td>
  <td>6</td>
 </tr>
 <tr>
  <td>St. Vincent and the Grenadines</td>
  <td>67</td>
  <td>109</td>
  <td>110</td>
  <td>111</td>
  <td>119</td>
 </tr>
 <tr>
  <td>Samoa</td>
  <td>82</td>
  <td>179</td>
  <td>181</td>
  <td>188</td>
  <td>192</td>
 </tr>
 <tr>
  <td>San Marino</td>
  <td>13</td>
  <td>31</td>
  <td>32</td>
  <td>33</td>
  <td>33</td>
 </tr>
 <tr>
  <td>Sao Tome and Principe</td>
  <td>60</td>
  <td>163</td>
  <td>180</td>
  <td>216</td>
  <td>296</td>
 </tr>
 <tr>
  <td>Saudi Arabia</td>
  <td>3201</td>
  <td>25721</td>
  <td>28933</td>
  <td>34176</td>
  <td>43658</td>
 </tr>
 <tr>
  <td>Senegal</td>
  <td>2416</td>
  <td>12534</td>
  <td>14526</td>
  <td>17861</td>
  <td>26102</td>
 </tr>
 <tr>
  <td>Serbia</td>
  <td>6732</td>
  <td>9850</td>
  <td>9828</td>
  <td>9720</td>
  <td>9193</td>
 </tr>
 <tr>
  <td>Seychelles</td>
  <td>36</td>
  <td>84</td>
  <td>86</td>
  <td>91</td>
  <td>97</td>
 </tr>
 <tr>
  <td>Sierra Leone</td>
  <td>1944</td>
  <td>5696</td>
  <td>6557</td>
  <td>8112</td>
  <td>12446</td>
 </tr>
 <tr>
  <td>Singapore</td>
  <td>1022</td>
  <td>4737</td>
  <td>5059</td>
  <td>5362</td>
  <td>5221</td>
 </tr>
 <tr>
  <td>Slovakia</td>
  <td>3463</td>
  <td>5406</td>
  <td>5437</td>
  <td>5413</td>
  <td>4917</td>
 </tr>
 <tr>
  <td>Slovenia</td>
  <td>1473</td>
  <td>2020</td>
  <td>2044</td>
  <td>2050</td>
  <td>1954</td>
 </tr>
 <tr>
  <td>Solomon Islands</td>
  <td>90</td>
  <td>523</td>
  <td>599</td>
  <td>725</td>
  <td>1007</td>
 </tr>
 <tr>
  <td>Somalia</td>
  <td>2264</td>
  <td>9133</td>
  <td>10731</td>
  <td>13922</td>
  <td>23522</td>
 </tr>
 <tr>
  <td>South Africa</td>
  <td>13683</td>
  <td>50110</td>
  <td>51684</td>
  <td>53766</td>
  <td>56802</td>
 </tr>
 <tr>
  <td>Spain</td>
  <td>28009</td>
  <td>44904</td>
  <td>47203</td>
  <td>49265</td>
  <td>51260</td>
 </tr>
 <tr>
  <td>Sri Lanka</td>
  <td>8241</td>
  <td>20238</td>
  <td>21167</td>
  <td>22033</td>
  <td>21705</td>
 </tr>
 <tr>
  <td>Sudan</td>
  <td>9190</td>
  <td>42272</td>
  <td>47730</td>
  <td>56688</td>
  <td>75884</td>
 </tr>
 <tr>
  <td>Suriname</td>
  <td>215</td>
  <td>520</td>
  <td>547</td>
  <td>586</td>
  <td>619</td>
 </tr>
 <tr>
  <td>Swaziland</td>
  <td>273</td>
  <td>1185</td>
  <td>1287</td>
  <td>1455</td>
  <td>1749</td>
 </tr>
 <tr>
  <td>Sweden</td>
  <td>7014</td>
  <td>9249</td>
  <td>9498</td>
  <td>9915</td>
  <td>10571</td>
 </tr>
 <tr>
  <td>Switzerland</td>
  <td>4693</td>
  <td>7568</td>
  <td>7736</td>
  <td>8020</td>
  <td>8514</td>
 </tr>
 <tr>
  <td>Syrian Arab Republic</td>
  <td>3536</td>
  <td>21906</td>
  <td>24494</td>
  <td>28592</td>
  <td>36911</td>
 </tr>
 <tr>
  <td>Tajikistan</td>
  <td>1532</td>
  <td>6952</td>
  <td>7761</td>
  <td>9075</td>
  <td>11111</td>
 </tr>
 <tr>
  <td>TFYR Macedonia</td>
  <td>1230</td>
  <td>2042</td>
  <td>2045</td>
  <td>2037</td>
  <td>1857</td>
 </tr>
 <tr>
  <td>Thailand</td>
  <td>20607</td>
  <td>67764</td>
  <td>69939</td>
  <td>72628</td>
  <td>73361</td>
 </tr>
 <tr>
  <td>Timor-Leste</td>
  <td>433</td>
  <td>1134</td>
  <td>1385</td>
  <td>1869</td>
  <td>3217</td>
 </tr>
 <tr>
  <td>Togo</td>
  <td>1329</td>
  <td>6619</td>
  <td>7607</td>
  <td>9282</td>
  <td>13196</td>
 </tr>
 <tr>
  <td>Tokelau</td>
  <td>2</td>
  <td>1</td>
  <td>1</td>
  <td>1</td>
  <td>1</td>
 </tr>
 <tr>
  <td>Tonga</td>
  <td>47</td>
  <td>104</td>
  <td>105</td>
  <td>112</td>
  <td>123</td>
 </tr>
 <tr>
  <td>Trinidad and Tobago</td>
  <td>636</td>
  <td>1339</td>
  <td>1368</td>
  <td>1388</td>
  <td>1278</td>
 </tr>
 <tr>
  <td>Tunisia</td>
  <td>3530</td>
  <td>10272</td>
  <td>10884</td>
  <td>11797</td>
  <td>12711</td>
 </tr>
 <tr>
  <td>Turkey</td>
  <td>21484</td>
  <td>74816</td>
  <td>79966</td>
  <td>87364</td>
  <td>97389</td>
 </tr>
 <tr>
  <td>Turkmenistan</td>
  <td>1211</td>
  <td>5110</td>
  <td>5509</td>
  <td>6072</td>
  <td>6796</td>
 </tr>
 <tr>
  <td>Turks and Caicos Islands</td>
  <td>5</td>
  <td>33</td>
  <td>35</td>
  <td>38</td>
  <td>40</td>
 </tr>
 <tr>
  <td>Tuvalu</td>
  <td>5</td>
  <td>10</td>
  <td>10</td>
  <td>11</td>
  <td>11</td>
 </tr>
 <tr>
  <td>Uganda</td>
  <td>5158</td>
  <td>32710</td>
  <td>39710</td>
  <td>53406</td>
  <td>91271</td>
 </tr>
 <tr>
  <td>Ukraine</td>
  <td>37298</td>
  <td>45708</td>
  <td>44165</td>
  <td>41617</td>
  <td>35026</td>
 </tr>
 <tr>
  <td>United Arab Emirates</td>
  <td>70</td>
  <td>4599</td>
  <td>5193</td>
  <td>6109</td>
  <td>8253</td>
 </tr>
 <tr>
  <td>United Kingdom</td>
  <td>50616</td>
  <td>61565</td>
  <td>63528</td>
  <td>66601</td>
  <td>72365</td>
 </tr>
 <tr>
  <td>United Republic of Tanzania</td>
  <td>7650</td>
  <td>43739</td>
  <td>52109</td>
  <td>67394</td>
  <td>109450</td>
 </tr>
 <tr>
  <td>United States of America</td>
  <td>157813</td>
  <td>314659</td>
  <td>332334</td>
  <td>358735</td>
  <td>403932</td>
 </tr>
 <tr>
  <td>United States Virgin Islands</td>
  <td>27</td>
  <td>110</td>
  <td>108</td>
  <td>103</td>
  <td>75</td>
 </tr>
 <tr>
  <td>Uruguay</td>
  <td>2239</td>
  <td>3361</td>
  <td>3430</td>
  <td>3546</td>
  <td>3637</td>
 </tr>
 <tr>
  <td>Uzbekistan</td>
  <td>6314</td>
  <td>27488</td>
  <td>29456</td>
  <td>32715</td>
  <td>36439</td>
 </tr>
 <tr>
  <td>Vanuatu</td>
  <td>48</td>
  <td>240</td>
  <td>276</td>
  <td>338</td>
  <td>482</td>
 </tr>
 <tr>
  <td>Venezuela (Bolivarian Republic of)</td>
  <td>5094</td>
  <td>28583</td>
  <td>31292</td>
  <td>35370</td>
  <td>42042</td>
 </tr>
 <tr>
  <td>Viet Nam</td>
  <td>27367</td>
  <td>88069</td>
  <td>93647</td>
  <td>102054</td>
  <td>111666</td>
 </tr>
 <tr>
  <td>Wallis and Futuna Islands</td>
  <td>7</td>
  <td>15</td>
  <td>16</td>
  <td>17</td>
  <td>17</td>
 </tr>
 <tr>
  <td>Western Sahara</td>
  <td>14</td>
  <td>513</td>
  <td>625</td>
  <td>775</td>
  <td>938</td>
 </tr>
 <tr>
  <td>Yemen</td>
  <td>4316</td>
  <td>23580</td>
  <td>27819</td>
  <td>35509</td>
  <td>53689</td>
 </tr>
 <tr>
  <td>Zambia</td>
  <td>2340</td>
  <td>12935</td>
  <td>14980</td>
  <td>18890</td>
  <td>28957</td>
 </tr>
 <tr>
  <td>Zimbabwe</td>
  <td>2747</td>
  <td>12523</td>
  <td>14029</td>
  <td>16780</td>
  <td>22178</td>
 </tr>
</tbody>
</table>


</body>
</html>

